clang 8.0.0

Public Attributes | List of all members
clang::DeclarationNameLoc::CXXOpName Struct Reference

`#include "clang/AST/DeclarationName.h"`

Collaboration diagram for clang::DeclarationNameLoc::CXXOpName:
[legend]

## Public Attributes
unsigned | BeginOpNameLoc
unsigned | EndOpNameLoc

## Detailed Description

Definition at line 663 of file DeclarationName.h.

## Member Data Documentation

## ◆ BeginOpNameLoc

unsigned clang::DeclarationNameLoc::CXXOpName::BeginOpNameLoc

Definition at line 664 of file DeclarationName.h.

Referenced by clang::DeclarationNameInfo::getCXXOperatorNameRange(), clang::TreeTransform< Derived >::RebuildCXXOperatorCallExpr(), and clang::DeclarationNameInfo::setCXXOperatorNameRange().

## ◆ EndOpNameLoc

unsigned clang::DeclarationNameLoc::CXXOpName::EndOpNameLoc

Definition at line 665 of file DeclarationName.h.

Referenced by clang::DeclarationNameInfo::getCXXOperatorNameRange(), clang::TreeTransform< Derived >::RebuildCXXOperatorCallExpr(), and clang::DeclarationNameInfo::setCXXOperatorNameRange().

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclarationName.h